Skip to main content
GET
/
firewall
/
groups
List firewall groups
curl --request GET \
  --url https://console.wenium.com/api/firewall/groups \
  --header 'Authorization: Bearer <token>'
{
  "status": true,
  "data": [
    {
      "id": 1,
      "name": "Web Security Group",
      "user_id": 1,
      "organization_id": 2,
      "created_at": "2026-07-03T00:00:00.000000Z",
      "updated_at": "2026-07-03T00:00:00.000000Z",
      "rules": [
        {
          "id": 1,
          "firewall_group_id": 1,
          "type": "Inbound",
          "action": "ACCEPT",
          "protocol": "TCP",
          "port": "80",
          "address": "0.0.0.0/0",
          "created_at": "2026-07-03T00:00:00.000000Z",
          "updated_at": "2026-07-03T00:00:00.000000Z"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

Array of firewall groups

status
boolean
Example:

true

data
object[]